/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_strlcat.c                                       :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: cchauvet <cchauvet@student.42angoulem      +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2022/09/27 17:02:13 by cchauvet          #+#    #+#             */
/*   Updated: 2022/09/27 17:23:07 by cchauvet         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "libft.h"

char	*strlcat(char *dst, const char *src, size_t size)
{
	size_t	max;
	char	*str;
	int		i;

	str = (char *) src;
	max = size;
	if (ft_strlen(str) > max)
		max = ft_strlen(str);
	if (ft_strlen(dst) > max)
		max = ft_strlen(dst);
	i = 0;
	while (i < max)
	{
		dst[i] = str[i];
		i++;
	}
	return (dst);
}
